aboutsummaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..2957f0a
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e
+
+install-info --quiet --section "The Algorithmic Language Scheme" \
+ "The Algorithmic Language Scheme" \
+ --description="A Scheme language interpreter" \
+ /usr/share/info/scm.info.gz
+
+install-info --quiet --section "The Algorithmic Language Scheme" \
+ "The Algorithmic Language Scheme" \
+ --description="SCM Language X Interface" \
+ /usr/share/info/Xlibscm.info.gz
+
+rm -f /usr/lib/scm/slibcat
+/usr/bin/scm -c "(require 'new-catalog)"
+if [ -e /usr/lib/scm/slibcat ] ; then
+ chmod 644 /usr/lib/scm/slibcat
+fi
+
+#DEBHELPER#